Bug 1410009 - Review Request: mimic - Mycroft's TTS engine
Summary: Review Request: mimic - Mycroft's TTS engine
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Whalen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2017-01-04 07:54 UTC by Peter Robinson
Modified: 2017-04-25 16:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-25 16:26:17 UTC
Type: Bug
pwhalen: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2017-01-04 07:54:37 UTC
SPEC: https://pbrobinson.fedorapeople.org/mimic.spec
SRPM: https://pbrobinson.fedorapeople.org/mimic-1.1.0-1.fc25.src.rpm

Description:
Mimic is a fast, lightweight Text-to-speech engine developed by Mycroft A.I. 
and VocaliD, based on Carnegie Mellon University’s FLITE software. Mimic takes 
in text and reads it out loud to create a high quality voice. Mimic's low-latency, 
small resource footprint, and good quality voices set it apart from other open 
source text-to-speech projects.

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=17160108

Comment 1 Paul Whalen 2017-02-08 01:31:13 UTC
Issues to be resolved:
======================

* Source url doesn't seem to work
* License should be reviewed, doesn't match
* rpath should be removed
* Shorten the description
* Fix version in the changelog
* undefined-non-weak-symbol should be looked at/reported upstream, but not a blocker
 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Apache",
     "LGPL (v2.1 or later)", "Unknown or generated", "BSD". 451 files have
     unknown license. Detailed output of licensecheck in
     /home/pwhalen/1410009-mimic/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://github.com/MycroftAI/mimic/archive/mimic-1.1.0.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mimic-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[!]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mimic-1.1.0-1.fc23.x86_64.rpm
          mimic-devel-1.1.0-1.fc23.x86_64.rpm
          mimic-debuginfo-1.1.0-1.fc23.x86_64.rpm
          mimic-1.1.0-1.fc23.src.rpm
mimic.x86_64: W: spelling-error Summary(en_US) Mycroft's -> Microsoft's
mimic.x86_64: E: description-line-too-long C in text and reads it out loud to create a high quality voice. Mimic's low-latency,
mimic.x86_64: W: incoherent-version-in-changelog 1.1-1 ['1.1.0-1.fc23', '1.1.0-1']
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_us_kal16 ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_time_awb ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_us_awb ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_us_kal ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: W: shared-lib-calls-exit /usr/lib64/libmimic.so.2.0.0 exit@GLIBC_2.2.5
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_us_rms ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_us_slt ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_vid_gb_ap ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: W: no-manual-page-for-binary mimic_vid_gb_ap
mimic.x86_64: W: no-manual-page-for-binary mimic
mimic.x86_64: W: no-manual-page-for-binary mimic_time
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_us_kal16
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_time_awb
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_us_awb
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_us_kal
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_us_slt
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_us_rms
mimic-devel.x86_64: W: only-non-binary-in-usr-lib
mimic-devel.x86_64: W: no-documentation
mimic.src: W: spelling-error Summary(en_US) Mycroft's -> Microsoft's
mimic.src: E: description-line-too-long C in text and reads it out loud to create a high quality voice. Mimic's low-latency,
mimic.src: W: invalid-url Source0: https://github.com/MycroftAI/mimic/archive/mimic-1.1.0.tar.gz HTTP Error 404: Not Found
4 packages and 0 specfiles checked; 10 errors, 16 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mimic-debuginfo-1.1.0-1.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mimic-devel.x86_64: W: only-non-binary-in-usr-lib
mimic-devel.x86_64: W: no-documentation
mimic.x86_64: E: description-line-too-long C in text and reads it out loud to create a high quality voice. Mimic's low-latency,
mimic.x86_64: W: incoherent-version-in-changelog 1.1-1 ['1.1.0-1.fc23', '1.1.0-1']
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 cg_synth
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 mimic_feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 mimic_feat_set_int
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 cmu_lex_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 new_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 usenglish_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 uttfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 mimic_feat_set
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 delete_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 lexicon_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_slt.so.2.0.0 cg_db_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 item_prev
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 ffeature_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 item_as
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 item_next
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 ffeature
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 item_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 relation_head
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 val_car
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 cst_sprintf
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 item_feat_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 val_cdr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 feat_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 val_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 utt_relation
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 val_phoneset
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 phone_feature_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmulex.so.2.0.0 item_prepend
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 diphone_synth
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 feat_set_float
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 cmu_lex_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 new_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 feat_set_int
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 usenglish_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 uttfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 delete_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 lexicon_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 diphone_db_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal16.so.2.0.0 feat_set
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_vid_gb_ap ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_hw_params_any
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_hw_params_sizeof
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_hw_params_set_channels
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_drop
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_writei
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 fmod
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_close
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_state
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_hw_params
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_drain
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 sin
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_config_update_free_global
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 exp
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 ceilf
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_hw_params_set_format
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_delay
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 log
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 pow
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_strerror
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_hw_params_set_access
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 sqrt
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_wait
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_open
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_hw_params_set_rate
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_resume
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic.so.2.0.0 snd_pcm_prepare
mimic.x86_64: W: shared-lib-calls-exit /usr/lib64/libmimic.so.2.0.0 exit@GLIBC_2.2.5
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_us_slt ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 item_prev
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 val_reverse
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 ffeature_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 val_print
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 cst_utf8_explode
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 val_car
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 cons_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 cst_sprintf
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 delete_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 string_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 cst_utf8_ord_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 val_cdr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lex.so.2.0.0 val_string
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_time_awb ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_us_awb ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_string_0
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_rx_double
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_rx_commaint
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 default_utt_break
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_rx_digits
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_string_1
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_rx_alpha
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_prev
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 relation_append
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_reverse
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 ffeature_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_as
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_lexicon
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_strrchr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_feats
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_next
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 ffeature
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_utt
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 features_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_regex_match
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 in_lex
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_feat_float
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 breakfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_string_n
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 get_param_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 relation_head
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_car
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_length
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_member_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_int_n
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_safe_alloc
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cons_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_float
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 utt_relation_create
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cart_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 ffeature_float
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 phoneset_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_phoneset
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_sprintf
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 new_features
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_strdup
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 delete_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_feat_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_append
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 relation_tail
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 string_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 path_to_item
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 float_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 feat_present
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_strchr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 set_car
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 get_param_float
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_feat_int
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 ff_register
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 itemfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 uttfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_downcase
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_cdr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 feat_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 basic_ff_register
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_equal
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 val_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 utt_relation
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_set_float
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_feat_present
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cart_interpret
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_daughter
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 cst_free
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 phone_feature_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 feat_set
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 default_textanalysis
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 dur_stats_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_usenglish.so.2.0.0 item_prepend
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_us_kal ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 cst_ts_default_prepunctuationsymbols
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 cst_ts_default_whitespacesymbols
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 cst_ts_default_singlecharsymbols
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 cst_strrchr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 cst_regex_match
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 breakfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 cons_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 cart_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 phoneset_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 item_feat_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 relation_tail
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 string_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 cst_strchr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 itemfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 us_tokentowords
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 basic_ff_register
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 item_feat_present
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lang.so.2.0.0 feat_set
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_us_kal16 ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 clunits_synth
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 cmu_syl_boundary
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 lexicon_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 mimic_feat_set_int
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 usenglish_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 clunits_ldom_phone_word
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 mimic_feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 uttfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 clunit_db_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 delete_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 mimic_feat_set
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_time_awb.so.2.0.0 new_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 diphone_synth
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 mimic_feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 item_next
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 item_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 relation_head
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 mimic_feat_set_float
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 mimic_feat_set_int
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 cmu_lex_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 new_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 item_feat_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 usenglish_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 uttfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 mimic_feat_set
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 utt_relation
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 cmu_postlex
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 delete_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 lexicon_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_kal.so.2.0.0 diphone_db_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 cg_synth
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 mimic_feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 mimic_feat_set_int
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 cmu_lex_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 new_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 usenglish_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 uttfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 mimic_feat_set
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 delete_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 lexicon_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_awb.so.2.0.0 cg_db_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 cg_synth
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 mimic_feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 mimic_feat_set_int
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 cmu_lex_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 new_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 usenglish_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 uttfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 mimic_feat_set
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 delete_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 lexicon_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_vid_gb_ap.so.2.0.0 cg_db_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 cst_ts_default_prepunctuationsymbols
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 cst_ts_default_whitespacesymbols
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 cst_ts_default_singlecharsymbols
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 cst_ts_default_postpunctuationsymbols
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 cst_strrchr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 breakfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 cons_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 cart_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 phoneset_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 item_feat_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 relation_tail
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 string_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 cst_strchr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 itemfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 basic_ff_register
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 item_feat_present
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_grapheme_lang.so.2.0.0 feat_set
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 cmu_indic_phoneset
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 cmu_lex
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 item_prev
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 val_reverse
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 set_cdr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 phone_feature
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 ffeature_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 item_set_int
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 cst_strcat
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 item_next
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 cst_utf8_explode
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 item_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 int_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 cst_regex_match
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 get_param_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 relation_head
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 val_car
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 lex_lookup
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 val_length
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 cons_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 cst_strdup
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 delete_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 string_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 cst_utf8_ord
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 val_cdr
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 val_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 utt_relation
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 ffeature_int
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 item_daughter
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 cst_free
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 val_readlist_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_indic_lex.so.2.0.0 val_int
mimic.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mimic_cmu_us_rms ['/builddir/build/BUILD/mimic-1.1.0/build/x86_64-linux-gnu/lib']
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 cg_synth
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 mimic_feat_set_string
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 mimic_feat_set_int
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 cmu_lex_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 new_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 usenglish_init
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 uttfunc_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 mimic_feat_set
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 delete_voice
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 lexicon_val
mimic.x86_64: W: undefined-non-weak-symbol /usr/lib64/libmimic_cmu_us_rms.so.2.0.0 cg_db_val
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_us_rms
mimic.x86_64: W: no-manual-page-for-binary mimic_vid_gb_ap
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_us_kal
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_us_awb
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_time_awb
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_us_kal16
mimic.x86_64: W: no-manual-page-for-binary mimic
mimic.x86_64: W: no-manual-page-for-binary mimic_time
mimic.x86_64: W: no-manual-page-for-binary mimic_cmu_us_slt
3 packages and 0 specfiles checked; 9 errors, 300 warnings.



Requires
--------
mimic-devel (rpmlib, GLIBC filtered):
    libmimic.so.1()(64bit)
    libmimic_cmu_grapheme_lang.so.1()(64bit)
    libmimic_cmu_grapheme_lex.so.1()(64bit)
    libmimic_cmu_indic_lang.so.1()(64bit)
    libmimic_cmu_indic_lex.so.1()(64bit)
    libmimic_cmu_time_awb.so.1()(64bit)
    libmimic_cmu_us_awb.so.1()(64bit)
    libmimic_cmu_us_kal.so.1()(64bit)
    libmimic_cmu_us_kal16.so.1()(64bit)
    libmimic_cmu_us_rms.so.1()(64bit)
    libmimic_cmu_us_slt.so.1()(64bit)
    libmimic_cmulex.so.1()(64bit)
    libmimic_usenglish.so.1()(64bit)
    libmimic_vid_gb_ap.so.1()(64bit)
    mimic(x86-64)

mimic (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libasound.so.2()(64bit)
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libmimic.so.1()(64bit)
    libmimic_cmu_grapheme_lang.so.1()(64bit)
    libmimic_cmu_grapheme_lex.so.1()(64bit)
    libmimic_cmu_indic_lang.so.1()(64bit)
    libmimic_cmu_indic_lex.so.1()(64bit)
    libmimic_cmu_time_awb.so.1()(64bit)
    libmimic_cmu_us_awb.so.1()(64bit)
    libmimic_cmu_us_kal.so.1()(64bit)
    libmimic_cmu_us_kal16.so.1()(64bit)
    libmimic_cmu_us_rms.so.1()(64bit)
    libmimic_cmu_us_slt.so.1()(64bit)
    libmimic_cmulex.so.1()(64bit)
    libmimic_usenglish.so.1()(64bit)
    libmimic_vid_gb_ap.so.1()(64bit)
    rtld(GNU_HASH)

mimic-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
mimic-devel:
    mimic-devel
    mimic-devel(x86-64)

mimic:
    libmimic.so.1()(64bit)
    libmimic_cmu_grapheme_lang.so.1()(64bit)
    libmimic_cmu_grapheme_lex.so.1()(64bit)
    libmimic_cmu_indic_lang.so.1()(64bit)
    libmimic_cmu_indic_lex.so.1()(64bit)
    libmimic_cmu_time_awb.so.1()(64bit)
    libmimic_cmu_us_awb.so.1()(64bit)
    libmimic_cmu_us_kal.so.1()(64bit)
    libmimic_cmu_us_kal16.so.1()(64bit)
    libmimic_cmu_us_rms.so.1()(64bit)
    libmimic_cmu_us_slt.so.1()(64bit)
    libmimic_cmulex.so.1()(64bit)
    libmimic_usenglish.so.1()(64bit)
    libmimic_vid_gb_ap.so.1()(64bit)
    mimic
    mimic(x86-64)

mimic-debuginfo:
    mimic-debuginfo
    mimic-debuginfo(x86-64)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1410009
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Peter Robinson 2017-03-19 18:57:25 UTC
Mostly updated. I believe according to the upstream COPYING file the license is correct. I need to verify that based on this output:

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Apache",
     "LGPL (v2.1 or later)", "Unknown or generated", "BSD". 451 files have
     unknown license. Detailed output of licensecheck in
     /home/pwhalen/1410009-mimic/licensecheck.txt

SPEC: https://pbrobinson.fedorapeople.org/mimic.spec
SRPM: https://pbrobinson.fedorapeople.org/mimic-1.2.0.2-1.fc26.src.rpm

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=18475280

Please confirm the rest is OK.

Comment 3 Peter Robinson 2017-04-24 08:31:20 UTC
I believe 1.2.0.2 resolved the license issues between the actual copying file and associated source file updates:

https://github.com/MycroftAI/mimic/blob/master/COPYING

Comment 4 Paul Whalen 2017-04-25 14:01:12 UTC
Looks good, approved.

Comment 5 Gwyn Ciesla 2017-04-25 14:48:18 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mimic


Note You need to log in before you can comment on or make changes to this bug.